Skip to main content
POST
/
api
/
v2
/
oauth
/
google
/
init
Initialize google oauth
curl --request POST \
  --url https://api.instantly.ai/api/v2/oauth/google/init \
  --header 'Authorization: Bearer <token>'
{
  "session_id": "abc123def456",
  "auth_url": "https://accounts.google.com/o/oauth2/auth?...",
  "expires_at": "2026-01-14T12:30:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Default Response

session_id
string

Session ID for polling status

Example:

"abc123def456"

auth_url
string

Google authorization URL to redirect user to

Example:

"https://accounts.google.com/o/oauth2/auth?..."

expires_at
string<date-time>

Session expiry time (10 minutes from creation)

Example:

"2026-01-14T12:30:00.000Z"